package com.yidian.shenghuoquan.border.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.yidian.bcommon.mvvm.BaseViewModel

/**
 * author: yinjiacheng
 * date: 2021/8/23 13:52
 * description: 订单自提点
 */
class OrderPickupPointViewModel : BaseViewModel() {

  private val _contractPickupPoint = MutableLiveData<String>()
  val contractPickupPoint: LiveData<String> = _contractPickupPoint

  /**
   * 联系自提点
   * @param phone 电话号码
   */
  fun contractPickupPoint(phone: String) {
    _contractPickupPoint.value = phone
  }
}
